2018-09-18 15:12 CEST

View Issue Details Jump to Notes ]
IDProjectCategoryView StatusLast Update
0005378Talerotherpublic2018-09-15 11:06
ReporterMarcello Stanisci 
Assigned ToMarcello Stanisci 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusresolvedResolutionfixed 
Product Version 
Target Version0.6Fixed in Version0.6 
Summary0005378: Merge payment generators into one command.
Descriptiontaler-merchant-generate-payments(-alt) ought to be merged into one command and additionally should get its name changed into something shorter, like: taler-merchant-benchmark or taler-merchant-stresstest.

The type of operation performed by the command can be chosen via the "major mode" technique: "taler-merchant-benchmark ordinary [opts..]" vs "taler-merchant-benchmark corner [opts..]".
TagsNo tags attached.
Attached Files

-Relationships Relation Graph ] Dependency Graph ]
+Relationships

-Notes

~0013134

Marcello Stanisci (manager)

8694fd2 implements most part of it. However, CLI args/opts are parsed in a brute force fashion, until the right combination, or error are found. This way, the program complains always about some unknown option, therefore some way to "mute" it or change the logic is still needed.

~0013137

Marcello Stanisci (manager)

dc921db fixes it.
+Notes

-Issue History
Date Modified Username Field Change
2018-07-02 10:56 Marcello Stanisci New Issue
2018-07-02 10:57 Marcello Stanisci Assigned To => Marcello Stanisci
2018-07-02 10:57 Marcello Stanisci Status new => assigned
2018-07-02 10:57 Marcello Stanisci Target Version => 0.6
2018-07-03 22:53 Marcello Stanisci Note Added: 0013134
2018-07-04 16:39 Marcello Stanisci Note Added: 0013137
2018-07-04 16:39 Marcello Stanisci Status assigned => resolved
2018-07-04 16:39 Marcello Stanisci Resolution open => fixed
2018-09-15 11:06 Christian Grothoff Fixed in Version => 0.6
+Issue History